# Jilo Web

## overview

Jilo Web is a PHP web interface to **[Jilo](https://work.lindeas.com/redirect.php?url=jilo)** (JItsi Logs Observer).

To have a working installation, in addition to the code here you need a jilo database file, generated by Jilo.

The webpage for this project is https://lindeas.com/jilo. There you will find information about both Jilo and Jilo Web.

The main git repo of **Jilo Web** is:
- https://code.lindeas.com/lindeas/jilo-web

It is mirrored at:
- https://codeberg.org/lindeas/jilo-web
- https://github.com/lindeas/jilo-web
- https://gitlab.com/lindeas/jilo-web

You can use any of these git repos to get the program.

You are welcome to send feedback with issues, comments and pull requests to a git mirror you prefer.

## demo

To see a demo install, go to https://work.lindeas.com/jilo-web-demo/

## version

Current version: **0.2** released on **2024-08-31**

## license

This project is licensed under the GNU General Public License version 2 (GPL-2.0). See LICENSE file.

Bootstrap is used in this project and is licensed under the MIT License. See license-bootstrap file.

JQuery is used in this project and is licensed under the MIT License. See license-jquery file.

## requirements

- web server (deb: apache | nginx)
- php support in the web server (deb: php-fpm | libapache2-mod-php)
- pdo and pdo_sqlite support in php (deb: php-db, php-sqlite3) uncomment in php.ini: ;extension=pdo_sqlite

## installation

You can install it in the following ways:

- download the latest release from the **"Releases"** section here
```bash
tar -xzf jilo-web_*.tgz
cd jilo-web/doc/
./install.sh
```
- clone the **git repo**:
```bash
git clone https://github.com/lindeas/jilo-web.git
cd jilo-web
./install.sh
```
- DEB and RPM packages are planned, but not yet available. There are experimental build scripts in "packaging" folder.

## config

- edit jilo-web.conf.php and set all the variables correctly
- "sqlite_file" is the sqlite db file for jilo-web itself, it goes to `app/jilo-web.db`, create it with
```bash
cd app
cat ../doc/jilo-web.schema | sqlite3 jilo-web.db
```
- "jilo_database" is the sqlite db file for jilo, with data from the Jitsi logs

## database

The database is an SQLite file. You also need the sqlite db from jilo (mysql/mariadb support is planned, but not yet available).
